package com.zehong.system.domain;
import java.util.List;

/**
 * 调压箱前端返回接口封装类
 */
public class DeviceData {

    private String deviceId;

    private String enterpriseId;

    private String type;

    private String deviceName;

    private String deviceCode;

    private String deviceAddr;

    private String longitude;

    private String latitude;

    private String companyType;

    private List<PressureFlow> pressureFlows;

    private String beyondEnterpriseName;

    private int iconType;

    public int getIconType() {
        return iconType;
    }

    public void setIconType(int iconType) {
        this.iconType = iconType;
    }

    public String getBeyondEnterpriseName() {
        return beyondEnterpriseName;
    }

    public void setBeyondEnterpriseName(String beyondEnterpriseName) {
        this.beyondEnterpriseName = beyondEnterpriseName;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceAddr() {
        return deviceAddr;
    }

    public void setDeviceAddr(String deviceAddr) {
        this.deviceAddr = deviceAddr;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public List<PressureFlow> getPressureFlows() {
        return pressureFlows;
    }

    public void setPressureFlows(List<PressureFlow> pressureFlows) {
        this.pressureFlows = pressureFlows;
    }

    @Override
    public String toString() {
        return "DeviceData{" +
                "deviceId='" + deviceId + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                ", type='" + type + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", deviceCode='" + deviceCode + '\'' +
                ", deviceAddr='" + deviceAddr + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", companyType='" + companyType + '\'' +
                ", pressureFlows=" + pressureFlows +
                ", beyondEnterpriseName='" + beyondEnterpriseName + '\'' +
                ", iconType=" + iconType +
                '}';
    }
}
